Subject: Re: bug#24153: 25.1; Feature request: per-buffer cursor-color variable

From: martin rudalics <[email-masked]>
Date: Fri, 05 Aug 2016 18:37:18 +0200

> Assume there are two windows, one showing a buffer in evil's normal
 > editing mode, and one showing a buffer in evil's edit mode.  If the
 > user has configured evil to show the normal-mode cursor in green and
 > the insert-mode cursor in purple, then evil needs to change the cursor
 > color every time the user switches between these two windows, and (I
 > don't think that) buffer-list-update-hook won't be sufficient for
 > that.

This would be a bug.  ‘select-window’ should always run
‘buffer-list-update-hook’ when NORECORD is nil.

martin